| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxTextBoxAttr Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class representing the box attributes of a rich text object.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextAttr, wxRichTextCtrl

## Public Member Functions
| wxTextBoxAttr ()
| Default constructor. More...
| wxTextBoxAttr (const wxTextBoxAttr &attr)
| Copy constructor. More...
void | Init ()
| Initialises this object. More...
void | Reset ()
| Resets this object. More...
bool | operator== (const wxTextBoxAttr &attr) const
| Equality test. More...
bool | EqPartial (const wxTextBoxAttr &attr, bool weakTest=true) const
| Partial equality test, ignoring unset attributes. More...
bool | Apply (const wxTextBoxAttr &style, const wxTextBoxAttr *compareWith=nullptr)
| Merges the given attributes. More...
void | CollectCommonAttributes (const wxTextBoxAttr &attr, wxTextBoxAttr &clashingAttr, wxTextBoxAttr &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects. More...
bool | RemoveStyle (const wxTextBoxAttr &attr)
| Removes the specified attributes from this object. More...
void | SetFlags (int flags)
| Sets the flags. More...
int | GetFlags () const
| Returns the flags. More...
bool | HasFlag (wxTextBoxAttrFlags flag) const
| Is this flag present? More...
void | RemoveFlag (wxTextBoxAttrFlags flag)
| Removes this flag. More...
void | AddFlag (wxTextBoxAttrFlags flag)
| Adds this flag. More...
bool | IsDefault () const
| Returns true if no attributes are set. More...
wxTextBoxAttrFloatStyle | GetFloatMode () const
| Returns the float mode. More...
void | SetFloatMode (wxTextBoxAttrFloatStyle mode)
| Sets the float mode. More...
bool | HasFloatMode () const
| Returns true if float mode is active. More...
bool | IsFloating () const
| Returns true if this object is floating. More...
wxTextBoxAttrClearStyle | GetClearMode () const
| Returns the clear mode - whether to wrap text after object. More...
void | SetClearMode (wxTextBoxAttrClearStyle mode)
| Set the clear mode. More...
bool | HasClearMode () const
| Returns true if we have a clear flag. More...
wxTextBoxAttrCollapseMode | GetCollapseBorders () const
| Returns the collapse mode - whether to collapse borders. More...
void | SetCollapseBorders (wxTextBoxAttrCollapseMode collapse)
| Sets the collapse mode - whether to collapse borders. More...
bool | HasCollapseBorders () const
| Returns true if the collapse borders flag is present. More...
wxTextBoxAttrWhitespaceMode | GetWhitespaceMode () const
| Returns the whitespace mode. More...
void | SetWhitespaceMode (wxTextBoxAttrWhitespaceMode whitespace)
| Sets the whitespace mode. More...
bool | HasWhitespaceMode () const
| Returns true if the whitespace flag is present. More...
bool | HasCornerRadius () const
| Returns true if the corner radius flag is present. More...
const wxTextAttrDimension & | GetCornerRadius () const
| Returns the corner radius value. More...
wxTextAttrDimension & | GetCornerRadius ()
void | SetCornerRadius (const wxTextAttrDimension &dim)
| Sets the corner radius value. More...
wxTextBoxAttrVerticalAlignment | GetVerticalAlignment () const
| Returns the vertical alignment. More...
void | SetVerticalAlignment (wxTextBoxAttrVerticalAlignment verticalAlignment)
| Sets the vertical alignment. More...
bool | HasVerticalAlignment () const
| Returns true if a vertical alignment flag is present. More...
wxTextAttrDimensions & | GetMargins ()
| Returns the margin values. More...
const wxTextAttrDimensions & | GetMargins () const
wxTextAttrDimension & | GetLeftMargin ()
| Returns the left margin. More...
const wxTextAttrDimension & | GetLeftMargin () const
wxTextAttrDimension & | GetRightMargin ()
| Returns the right margin. More...
const wxTextAttrDimension & | GetRightMargin () const
wxTextAttrDimension & | GetTopMargin ()
| Returns the top margin. More...
const wxTextAttrDimension & | GetTopMargin () const
wxTextAttrDimension & | GetBottomMargin ()
| Returns the bottom margin. More...
const wxTextAttrDimension & | GetBottomMargin () const
wxTextAttrDimensions & | GetPosition ()
| Returns the position. More...
const wxTextAttrDimensions & | GetPosition () const
wxTextAttrDimension & | GetLeft ()
| Returns the left position. More...
const wxTextAttrDimension & | GetLeft () const
wxTextAttrDimension & | GetRight ()
| Returns the right position. More...
const wxTextAttrDimension & | GetRight () const
wxTextAttrDimension & | GetTop ()
| Returns the top position. More...
const wxTextAttrDimension & | GetTop () const
wxTextAttrDimension & | GetBottom ()
| Returns the bottom position. More...
const wxTextAttrDimension & | GetBottom () const
wxTextAttrDimensions & | GetPadding ()
| Returns the padding values. More...
const wxTextAttrDimensions & | GetPadding () const
wxTextAttrDimension & | GetLeftPadding ()
| Returns the left padding value. More...
const wxTextAttrDimension & | GetLeftPadding () const
wxTextAttrDimension & | GetRightPadding ()
| Returns the right padding value. More...
const wxTextAttrDimension & | GetRightPadding () const
wxTextAttrDimension & | GetTopPadding ()
| Returns the top padding value. More...
const wxTextAttrDimension & | GetTopPadding () const
wxTextAttrDimension & | GetBottomPadding ()
| Returns the bottom padding value. More...
const wxTextAttrDimension & | GetBottomPadding () const
wxTextAttrBorders & | GetBorder ()
| Returns the borders. More...
const wxTextAttrBorders & | GetBorder () const
wxTextAttrBorder & | GetLeftBorder ()
| Returns the left border. More...
const wxTextAttrBorder & | GetLeftBorder () const
wxTextAttrBorder & | GetTopBorder ()
| Returns the top border. More...
const wxTextAttrBorder & | GetTopBorder () const
wxTextAttrBorder & | GetRightBorder ()
| Returns the right border. More...
const wxTextAttrBorder & | GetRightBorder () const
wxTextAttrBorder & | GetBottomBorder ()
| Returns the bottom border. More...
const wxTextAttrBorder & | GetBottomBorder () const
wxTextAttrBorders & | GetOutline ()
| Returns the outline. More...
const wxTextAttrBorders & | GetOutline () const
wxTextAttrBorder & | GetLeftOutline ()
| Returns the left outline. More...
const wxTextAttrBorder & | GetLeftOutline () const
wxTextAttrBorder & | GetTopOutline ()
| Returns the top outline. More...
const wxTextAttrBorder & | GetTopOutline () const
wxTextAttrBorder & | GetRightOutline ()
| Returns the right outline. More...
const wxTextAttrBorder & | GetRightOutline () const
wxTextAttrBorder & | GetBottomOutline ()
| Returns the bottom outline. More...
const wxTextAttrBorder & | GetBottomOutline () const
wxTextAttrSize & | GetSize ()
| Returns the object size. More...
const wxTextAttrSize & | GetSize () const
wxTextAttrSize & | GetMinSize ()
| Returns the object minimum size. More...
const wxTextAttrSize & | GetMinSize () const
wxTextAttrSize & | GetMaxSize ()
| Returns the object maximum size. More...
const wxTextAttrSize & | GetMaxSize () const
void | SetSize (const wxTextAttrSize &sz)
| Sets the object size. More...
void | SetMinSize (const wxTextAttrSize &sz)
| Sets the object minimum size. More...
void | SetMaxSize (const wxTextAttrSize &sz)
| Sets the object maximum size. More...
wxTextAttrDimension & | GetWidth ()
| Returns the object width. More...
const wxTextAttrDimension & | GetWidth () const
wxTextAttrDimension & | GetHeight ()
| Returns the object height. More...
const wxTextAttrDimension & | GetHeight () const
const wxString & | GetBoxStyleName () const
| Returns the box style name. More...
void | SetBoxStyleName (const wxString &name)
| Sets the box style name. More...
bool | HasBoxStyleName () const
| Returns true if the box style name is present. More...
wxTextAttrShadow & | GetShadow ()
| Returns the box shadow attributes. More...
const wxTextAttrShadow & | GetShadow () const

## Public Attributes
int | m_flags
wxTextAttrDimensions | m_margins
wxTextAttrDimensions | m_padding
wxTextAttrDimensions | m_position
wxTextAttrSize | m_size
wxTextAttrSize | m_minSize
wxTextAttrSize | m_maxSize
wxTextAttrBorders | m_border
wxTextAttrBorders | m_outline
wxTextBoxAttrFloatStyle | m_floatMode
wxTextBoxAttrClearStyle | m_clearMode
wxTextBoxAttrCollapseMode | m_collapseMode
wxTextBoxAttrVerticalAlignment | m_verticalAlignment
wxTextBoxAttrWhitespaceMode | m_whitespaceMode
wxTextAttrDimension | m_cornerRadius
wxString | m_boxStyleName
wxTextAttrShadow | m_shadow

## Constructor & Destructor Documentation

## ◆ wxTextBoxAttr() [1/2]

wxTextBoxAttr::wxTextBoxAttr | ( |  | ) |
| inline

Default constructor.

## ◆ wxTextBoxAttr() [2/2]

wxTextBoxAttr::wxTextBoxAttr | ( | const wxTextBoxAttr & | attr | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ AddFlag()

void wxTextBoxAttr::AddFlag | ( | wxTextBoxAttrFlags | flag | ) |
| inline

Adds this flag.

## ◆ Apply()

bool wxTextBoxAttr::Apply | ( | const wxTextBoxAttr & | style,
|  | const wxTextBoxAttr * | compareWith = `nullptr`
| ) |  |

Merges the given attributes.

If compareWith is non-null, then it will be used to mask out those attributes that are the same in style and compareWith, for situations where we don't want to explicitly set inherited attributes.

## ◆ CollectCommonAttributes()

void wxTextBoxAttr::CollectCommonAttributes | ( | const wxTextBoxAttr & | attr,
|  | wxTextBoxAttr & | clashingAttr,
|  | wxTextBoxAttr & | absentAttr
| ) |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

## ◆ EqPartial()

bool wxTextBoxAttr::EqPartial | ( | const wxTextBoxAttr & | attr,
|  | bool | weakTest = `true`
| ) |  | const

Partial equality test, ignoring unset attributes.

If weakTest is true, attributes of this object do not have to be present if those attributes of attr are present. If weakTest is false, the function will fail if an attribute is present in attr but not in this object.

## ◆ GetBorder() [1/2]

wxTextAttrBorders& wxTextBoxAttr::GetBorder | ( |  | ) |
| inline

Returns the borders.

## ◆ GetBorder() [2/2]

const wxTextAttrBorders& wxTextBoxAttr::GetBorder | ( |  | ) | const
| inline

## ◆ GetBottom() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetBottom | ( |  | ) |
| inline

Returns the bottom position.

## ◆ GetBottom() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetBottom | ( |  | ) | const
| inline

## ◆ GetBottomBorder() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetBottomBorder | ( |  | ) |
| inline

Returns the bottom border.

## ◆ GetBottomBorder() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetBottomBorder | ( |  | ) | const
| inline

## ◆ GetBottomMargin() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetBottomMargin | ( |  | ) |
| inline

Returns the bottom margin.

## ◆ GetBottomMargin() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetBottomMargin | ( |  | ) | const
| inline

## ◆ GetBottomOutline() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetBottomOutline | ( |  | ) |
| inline

Returns the bottom outline.

## ◆ GetBottomOutline() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetBottomOutline | ( |  | ) | const
| inline

## ◆ GetBottomPadding() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetBottomPadding | ( |  | ) |
| inline

Returns the bottom padding value.

## ◆ GetBottomPadding() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetBottomPadding | ( |  | ) | const
| inline

## ◆ GetBoxStyleName()

const wxString& wxTextBoxAttr::GetBoxStyleName | ( |  | ) | const
| inline

Returns the box style name.

## ◆ GetClearMode()

wxTextBoxAttrClearStyle wxTextBoxAttr::GetClearMode | ( |  | ) | const
| inline

Returns the clear mode - whether to wrap text after object.

Currently unimplemented.

## ◆ GetCollapseBorders()

wxTextBoxAttrCollapseMode wxTextBoxAttr::GetCollapseBorders | ( |  | ) | const
| inline

Returns the collapse mode - whether to collapse borders.

## ◆ GetCornerRadius() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetCornerRadius | ( |  | ) |
| inline

## ◆ GetCornerRadius() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetCornerRadius | ( |  | ) | const
| inline

Returns the corner radius value.

## ◆ GetFlags()

int wxTextBoxAttr::GetFlags | ( |  | ) | const
| inline

Returns the flags.

## ◆ GetFloatMode()

wxTextBoxAttrFloatStyle wxTextBoxAttr::GetFloatMode | ( |  | ) | const
| inline

Returns the float mode.

## ◆ GetHeight() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetHeight | ( |  | ) |
| inline

Returns the object height.

## ◆ GetHeight() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetHeight | ( |  | ) | const
| inline

## ◆ GetLeft() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetLeft | ( |  | ) |
| inline

Returns the left position.

## ◆ GetLeft() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetLeft | ( |  | ) | const
| inline

## ◆ GetLeftBorder() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetLeftBorder | ( |  | ) |
| inline

Returns the left border.

## ◆ GetLeftBorder() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetLeftBorder | ( |  | ) | const
| inline

## ◆ GetLeftMargin() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetLeftMargin | ( |  | ) |
| inline

Returns the left margin.

## ◆ GetLeftMargin() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetLeftMargin | ( |  | ) | const
| inline

## ◆ GetLeftOutline() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetLeftOutline | ( |  | ) |
| inline

Returns the left outline.

## ◆ GetLeftOutline() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetLeftOutline | ( |  | ) | const
| inline

## ◆ GetLeftPadding() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetLeftPadding | ( |  | ) |
| inline

Returns the left padding value.

## ◆ GetLeftPadding() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetLeftPadding | ( |  | ) | const
| inline

## ◆ GetMargins() [1/2]

wxTextAttrDimensions& wxTextBoxAttr::GetMargins | ( |  | ) |
| inline

Returns the margin values.

## ◆ GetMargins() [2/2]

const wxTextAttrDimensions& wxTextBoxAttr::GetMargins | ( |  | ) | const
| inline

## ◆ GetMaxSize() [1/2]

wxTextAttrSize& wxTextBoxAttr::GetMaxSize | ( |  | ) |
| inline

Returns the object maximum size.

## ◆ GetMaxSize() [2/2]

const wxTextAttrSize& wxTextBoxAttr::GetMaxSize | ( |  | ) | const
| inline

## ◆ GetMinSize() [1/2]

wxTextAttrSize& wxTextBoxAttr::GetMinSize | ( |  | ) |
| inline

Returns the object minimum size.

## ◆ GetMinSize() [2/2]

const wxTextAttrSize& wxTextBoxAttr::GetMinSize | ( |  | ) | const
| inline

## ◆ GetOutline() [1/2]

wxTextAttrBorders& wxTextBoxAttr::GetOutline | ( |  | ) |
| inline

Returns the outline.

## ◆ GetOutline() [2/2]

const wxTextAttrBorders& wxTextBoxAttr::GetOutline | ( |  | ) | const
| inline

## ◆ GetPadding() [1/2]

wxTextAttrDimensions& wxTextBoxAttr::GetPadding | ( |  | ) |
| inline

Returns the padding values.

## ◆ GetPadding() [2/2]

const wxTextAttrDimensions& wxTextBoxAttr::GetPadding | ( |  | ) | const
| inline

## ◆ GetPosition() [1/2]

wxTextAttrDimensions& wxTextBoxAttr::GetPosition | ( |  | ) |
| inline

Returns the position.

## ◆ GetPosition() [2/2]

const wxTextAttrDimensions& wxTextBoxAttr::GetPosition | ( |  | ) | const
| inline

## ◆ GetRight() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetRight | ( |  | ) |
| inline

Returns the right position.

## ◆ GetRight() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetRight | ( |  | ) | const
| inline

## ◆ GetRightBorder() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetRightBorder | ( |  | ) |
| inline

Returns the right border.

## ◆ GetRightBorder() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetRightBorder | ( |  | ) | const
| inline

## ◆ GetRightMargin() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetRightMargin | ( |  | ) |
| inline

Returns the right margin.

## ◆ GetRightMargin() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetRightMargin | ( |  | ) | const
| inline

## ◆ GetRightOutline() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetRightOutline | ( |  | ) |
| inline

Returns the right outline.

## ◆ GetRightOutline() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetRightOutline | ( |  | ) | const
| inline

## ◆ GetRightPadding() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetRightPadding | ( |  | ) |
| inline

Returns the right padding value.

## ◆ GetRightPadding() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetRightPadding | ( |  | ) | const
| inline

## ◆ GetShadow() [1/2]

wxTextAttrShadow& wxTextBoxAttr::GetShadow | ( |  | ) |
| inline

Returns the box shadow attributes.

## ◆ GetShadow() [2/2]

const wxTextAttrShadow& wxTextBoxAttr::GetShadow | ( |  | ) | const
| inline

## ◆ GetSize() [1/2]

wxTextAttrSize& wxTextBoxAttr::GetSize | ( |  | ) |
| inline

Returns the object size.

## ◆ GetSize() [2/2]

const wxTextAttrSize& wxTextBoxAttr::GetSize | ( |  | ) | const
| inline

## ◆ GetTop() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetTop | ( |  | ) |
| inline

Returns the top position.

## ◆ GetTop() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetTop | ( |  | ) | const
| inline

## ◆ GetTopBorder() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetTopBorder | ( |  | ) |
| inline

Returns the top border.

## ◆ GetTopBorder() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetTopBorder | ( |  | ) | const
| inline

## ◆ GetTopMargin() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetTopMargin | ( |  | ) |
| inline

Returns the top margin.

## ◆ GetTopMargin() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetTopMargin | ( |  | ) | const
| inline

## ◆ GetTopOutline() [1/2]

wxTextAttrBorder& wxTextBoxAttr::GetTopOutline | ( |  | ) |
| inline

Returns the top outline.

## ◆ GetTopOutline() [2/2]

const wxTextAttrBorder& wxTextBoxAttr::GetTopOutline | ( |  | ) | const
| inline

## ◆ GetTopPadding() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetTopPadding | ( |  | ) |
| inline

Returns the top padding value.

## ◆ GetTopPadding() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetTopPadding | ( |  | ) | const
| inline

## ◆ GetVerticalAlignment()

wxTextBoxAttrVerticalAlignment wxTextBoxAttr::GetVerticalAlignment | ( |  | ) | const
| inline

Returns the vertical alignment.

## ◆ GetWhitespaceMode()

wxTextBoxAttrWhitespaceMode wxTextBoxAttr::GetWhitespaceMode | ( |  | ) | const
| inline

Returns the whitespace mode.

## ◆ GetWidth() [1/2]

wxTextAttrDimension& wxTextBoxAttr::GetWidth | ( |  | ) |
| inline

Returns the object width.

## ◆ GetWidth() [2/2]

const wxTextAttrDimension& wxTextBoxAttr::GetWidth | ( |  | ) | const
| inline

## ◆ HasBoxStyleName()

bool wxTextBoxAttr::HasBoxStyleName | ( |  | ) | const
| inline

Returns true if the box style name is present.

## ◆ HasClearMode()

bool wxTextBoxAttr::HasClearMode | ( |  | ) | const
| inline

Returns true if we have a clear flag.

## ◆ HasCollapseBorders()

bool wxTextBoxAttr::HasCollapseBorders | ( |  | ) | const
| inline

Returns true if the collapse borders flag is present.

## ◆ HasCornerRadius()

bool wxTextBoxAttr::HasCornerRadius | ( |  | ) | const
| inline

Returns true if the corner radius flag is present.

## ◆ HasFlag()

bool wxTextBoxAttr::HasFlag | ( | wxTextBoxAttrFlags | flag | ) | const
| inline

Is this flag present?

## ◆ HasFloatMode()

bool wxTextBoxAttr::HasFloatMode | ( |  | ) | const
| inline

Returns true if float mode is active.

## ◆ HasVerticalAlignment()

bool wxTextBoxAttr::HasVerticalAlignment | ( |  | ) | const
| inline

Returns true if a vertical alignment flag is present.

## ◆ HasWhitespaceMode()

bool wxTextBoxAttr::HasWhitespaceMode | ( |  | ) | const
| inline

Returns true if the whitespace flag is present.

## ◆ Init()

void wxTextBoxAttr::Init | ( |  | ) |
| inline

Initialises this object.

## ◆ IsDefault()

bool wxTextBoxAttr::IsDefault | ( |  | ) | const

Returns true if no attributes are set.

## ◆ IsFloating()

bool wxTextBoxAttr::IsFloating | ( |  | ) | const
| inline

Returns true if this object is floating.

## ◆ operator==()

bool wxTextBoxAttr::operator== | ( | const wxTextBoxAttr & | attr | ) | const

Equality test.

## ◆ RemoveFlag()

void wxTextBoxAttr::RemoveFlag | ( | wxTextBoxAttrFlags | flag | ) |
| inline

Removes this flag.

## ◆ RemoveStyle()

bool wxTextBoxAttr::RemoveStyle | ( | const wxTextBoxAttr & | attr | ) |

Removes the specified attributes from this object.

## ◆ Reset()

void wxTextBoxAttr::Reset | ( |  | ) |

Resets this object.

## ◆ SetBoxStyleName()

void wxTextBoxAttr::SetBoxStyleName | ( | const wxString & | name | ) |
| inline

Sets the box style name.

## ◆ SetClearMode()

void wxTextBoxAttr::SetClearMode | ( | wxTextBoxAttrClearStyle | mode | ) |
| inline

Set the clear mode.

Currently unimplemented.

## ◆ SetCollapseBorders()

void wxTextBoxAttr::SetCollapseBorders | ( | wxTextBoxAttrCollapseMode | collapse | ) |
| inline

Sets the collapse mode - whether to collapse borders.

## ◆ SetCornerRadius()

void wxTextBoxAttr::SetCornerRadius | ( | const wxTextAttrDimension & | dim | ) |
| inline

Sets the corner radius value.

## ◆ SetFlags()

void wxTextBoxAttr::SetFlags | ( | int | flags | ) |
| inline

Sets the flags.

## ◆ SetFloatMode()

void wxTextBoxAttr::SetFloatMode | ( | wxTextBoxAttrFloatStyle | mode | ) |
| inline

Sets the float mode.

## ◆ SetMaxSize()

void wxTextBoxAttr::SetMaxSize | ( | const wxTextAttrSize & | sz | ) |
| inline

Sets the object maximum size.

## ◆ SetMinSize()

void wxTextBoxAttr::SetMinSize | ( | const wxTextAttrSize & | sz | ) |
| inline

Sets the object minimum size.

## ◆ SetSize()

void wxTextBoxAttr::SetSize | ( | const wxTextAttrSize & | sz | ) |
| inline

Sets the object size.

## ◆ SetVerticalAlignment()

void wxTextBoxAttr::SetVerticalAlignment | ( | wxTextBoxAttrVerticalAlignment | verticalAlignment | ) |
| inline

Sets the vertical alignment.

## ◆ SetWhitespaceMode()

void wxTextBoxAttr::SetWhitespaceMode | ( | wxTextBoxAttrWhitespaceMode | whitespace | ) |
| inline

Sets the whitespace mode.

## Member Data Documentation

## ◆ m_border

wxTextAttrBorders wxTextBoxAttr::m_border

## ◆ m_boxStyleName

wxString wxTextBoxAttr::m_boxStyleName

## ◆ m_clearMode

wxTextBoxAttrClearStyle wxTextBoxAttr::m_clearMode

## ◆ m_collapseMode

wxTextBoxAttrCollapseMode wxTextBoxAttr::m_collapseMode

## ◆ m_cornerRadius

wxTextAttrDimension wxTextBoxAttr::m_cornerRadius

## ◆ m_flags

int wxTextBoxAttr::m_flags

## ◆ m_floatMode

wxTextBoxAttrFloatStyle wxTextBoxAttr::m_floatMode

## ◆ m_margins

wxTextAttrDimensions wxTextBoxAttr::m_margins

## ◆ m_maxSize

wxTextAttrSize wxTextBoxAttr::m_maxSize

## ◆ m_minSize

wxTextAttrSize wxTextBoxAttr::m_minSize

## ◆ m_outline

wxTextAttrBorders wxTextBoxAttr::m_outline

## ◆ m_padding

wxTextAttrDimensions wxTextBoxAttr::m_padding

## ◆ m_position

wxTextAttrDimensions wxTextBoxAttr::m_position

## ◆ m_shadow

wxTextAttrShadow wxTextBoxAttr::m_shadow

## ◆ m_size

wxTextAttrSize wxTextBoxAttr::m_size

## ◆ m_verticalAlignment

wxTextBoxAttrVerticalAlignment wxTextBoxAttr::m_verticalAlignment

## ◆ m_whitespaceMode

wxTextBoxAttrWhitespaceMode wxTextBoxAttr::m_whitespaceMode